package com.qmth.distributed.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.enums.ReviewStatusEnum;
import com.qmth.teachcloud.common.base.BaseEntity;

import java.io.Serializable;

/**
 * <p>
 * 命题任务审核日志表
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("exam_task_review_log")
public class ExamTaskReviewLog extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 命题任务ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("exam_task_id")
    private Long examTaskId;
    /**
     * PASS-通过，NOT_PASS-不通过
     */
    @TableField("review_status")
    private ReviewStatusEnum reviewStatus;
    /**
     * 审核意见
     */
    private String reason;

    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("operate_id")
    private Long operateId;

    @TableField("operate_time")
    private Long operateTime;

    @TableField(exist = false)
    private Long[] examTaskIds;

    public Long getExamTaskId() {
        return examTaskId;
    }

    public void setExamTaskId(Long examTaskId) {
        this.examTaskId = examTaskId;
    }

    public ReviewStatusEnum getReviewStatus() {
        return reviewStatus;
    }

    public void setReviewStatus(ReviewStatusEnum reviewStatus) {
        this.reviewStatus = reviewStatus;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public Long getOperateId() {
        return operateId;
    }

    public void setOperateId(Long operateId) {
        this.operateId = operateId;
    }

    public Long getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(Long operateTime) {
        this.operateTime = operateTime;
    }

    public Long[] getExamTaskIds() {
        return examTaskIds;
    }

    public void setExamTaskIds(Long[] examTaskIds) {
        this.examTaskIds = examTaskIds;
    }
}
